﻿using System;

using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using SlideUI;

namespace PaintBox.VS2008
{
    public partial class MainForm : UIForm
    {
        public MainForm()
        {
            InitializeComponent();
        }

        private void uiClear_Click(object sender, EventArgs e)
        {
            pb.Clear();
        }

        private void penSize_ValueChanged(object sender, EventArgs e)
        {
            pb.PenSize = Convert.ToInt32(penSize.Value);
        }

        private void antiAlias_CheckStateChanged(object sender, EventArgs e)
        {
            pb.AntiAlias = antiAlias.Checked;
        }

        private void uiSave_Click(object sender, EventArgs e)
        {
            if (dlgSaveFile.ShowDialog() == DialogResult.OK)
            {
                pb.Save(dlgSaveFile.FileName, System.Drawing.Imaging.ImageFormat.Png);
                UIMessageBox.Show(this, "Image has been saved to: " + dlgSaveFile.FileName, "Save Drawing", MessageBoxButtons.OK, UIMessageIcons.Done);
            } 
        }

        private void colorWhite_Click(object sender, EventArgs e)
        {
            if (sender is UIButton)
            {
                pb.PenColor = ((UIButton)sender).NormalStartColor;
            }
        }
    }
}